package com.ruoyi.system.mapper.form;

import com.ruoyi.system.domain.form.MdFormTemplate;
import com.ruoyi.system.domain.form.MdFormTemplateExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MdFormTemplateMapper {
    long countByExample(MdFormTemplateExample example);

    int deleteByExample(MdFormTemplateExample example);

    int deleteByPrimaryKey(String id);

    int insert(MdFormTemplate record);

    int insertSelective(MdFormTemplate record);

    List<MdFormTemplate> selectByExampleWithBLOBs(MdFormTemplateExample example);

    List<MdFormTemplate> selectByExample(MdFormTemplateExample example);

    MdFormTemplate selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") MdFormTemplate record, @Param("example") MdFormTemplateExample example);

    int updateByExampleWithBLOBs(@Param("record") MdFormTemplate record, @Param("example") MdFormTemplateExample example);

    int updateByExample(@Param("record") MdFormTemplate record, @Param("example") MdFormTemplateExample example);

    int updateByPrimaryKeySelective(MdFormTemplate record);

    int updateByPrimaryKeyWithBLOBs(MdFormTemplate record);

    int updateByPrimaryKey(MdFormTemplate record);
}